/******************************************************************************
 *
 * Utilities.cpp - Defines a stupid lighting class, lets us
 * separate lighting and be a little more modular
 * 
 *  01/19/02: D. Hazen--File created 
 *  03/19/02: D. Hazen--Finished adding comments to the file
 *****************************************************************************/

#include "StdAfx.h"
#include "Utilities.h"

/* Constructor:
 * So far it just sets up some arbitrary values that look good for
 * my current application, but this could expanded much further
 */
CLighting::CLighting(GLfloat ambientVal) {
	ambient[0] = ambientVal;
	ambient[1] = ambientVal;
	ambient[2] = ambientVal;
	ambient[3] = 1.0;
	diffuse[0] = 1.0;
	diffuse[1] = 1.0;
	diffuse[2] = 1.0;
	diffuse[3] = 1.0;
	position[0] = 10.0;
	position[1] = 10.0;
	position[2] = 10.0;
	position[3] = 0.0;
}