/******************************************************************************
 *
 * Utilities.h - Defines a stupid lighting class, lets us
 * separate lighting and be a little more modular
 * 
 *  01/19/02: D. Hazen--File created 
 *  03/19/02: D. Hazen--Finished adding comments to the file
 *****************************************************************************/

#ifndef UTILITIES_H
#define UTILITIES_H

class CLighting
{
public:
	GLfloat ambient[4];
	GLfloat diffuse[4];
	GLfloat position[4];
	CLighting(GLfloat ambientVal);
};

#endif  // UTILITIES_H